=== debian/changelog ===
condor (8.4.0~dfsg.1-1~nd15.04+1+nd15.10+1) wily; urgency=medium

  * Backported for wily.

 -- unamed <unknown>  Thu, 05 Nov 2015 21:55:09 -0500

condor (8.4.0~dfsg.1-1~nd15.04+1) vivid; urgency=medium

  * Backported for vivid.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Team
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Team <team@neuro.debian.net>  Wed, 23 Sep 2015 20:15:54 +0200

condor (8.4.0~dfsg.1-1) unstable; urgency=medium

  * First upstream in new 8.4 stable series. Updates:
    - leaner resource footprint for up to 200k simultaneous jobs in a
      single pool
    - run Docker containers as jobs
    - configurable encryption of execution directories
    - support for simultaneous IPv4 and IPv6 connections
    - adminstrator can establish requirements that must be satisfied in order
      for a job to be queued
    - new default shared port (if used) is 9618, instead of the previous
      random default
    - automatic tuning of certain kernel parameters for improved scalability
      enabled by default (see LINUX_KERNEL_TUNING_SCRIPT).
  * Install systemd service file.
  * Install default submit configuration for interactive jobs in
    /etc/condor/interactive.sub and set default configuration for
    INTERACTIVE_SUBMIT_FILE accordingly.
  * Tighten versioned dependency on libclassad package -- observed missing
    symbols, despite unchanged SO version.
  * Install documentation under /usr/share/doc/htcondor (no longer just
    'condor').
  * Add docker as suggested package, due to the addition of the
    DockerUniverse.
  * Recommend package 'ecryptfs-utils': when installed HTCondor can be
    instructed to encrypt job EXECUTE directories on a system-wide, or
    per-job basis.
  * Install linux-kernel-tuning script as a config file into /etc/condor.
  * Update patch to avoid non-literal string processing without format
    strings [-Werror=format-security].
  * Build with Virtual Organization Membership Service support. Added
    voms-dev as a build-dependency.
  * Add a watch file.

 -- Michael Hanke <mih@debian.org>  Tue, 15 Sep 2015 07:32:31 +0200
